Xampp issue with extensions

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Xampp issue with extensions

Postby liamsorsby » 30. August 2013 11:49

I have followed the following steps in http://bytehash.appspot.com/2012/02/Installing-imagick-for-php-in-windows-under-xampp i have downloaded the dll file for imagick and added this into xampp/php/ext folder and included it as follows: extension=php_imagick_ts.dll. I have also installed imagemagick and can confirm it is installed as i have run the following command:

Code: Select all
C:\>convert -version
Version: ImageMagick 6.8.6-8 20
Copyright: Copyright (C) 1999-2
Features: DPC OpenMP
Delegates: bzlib djvu fftw font
ngo png ps tiff webp x xml zlib


when i restart apache through the xampp control panel the following errors come up:

Code: Select all
the procedure entry point php_checkuid_ex could not be located in the dynamic link library php5ts.dll


and the following error message proceeds after:

Code: Select all
PHP Startup: Unable to load dynamic library "C:\xampp\php\ext\php_imagick_ts.dll" - The specified procedure could not be found


If after this message i try to copy and paste the dynamic link library location - C:\xampp\php\ext\php_imagick_ts.dll and paste it into a document address bar it try to open the file

has anyone come accross this error? as i had the same issue when trying to install msql3 library or just simply uncommenting some of the other extensions in the php.ini file

Any advice would be great. Thanks
liamsorsby
 
Posts: 2
Joined: 30. August 2013 11:47
XAMPP Version: 1.8.3-3
Operating System: xp professional sp 3

Re: Xampp issue with extensions

Postby Nobbie » 30. August 2013 12:55

There is no Imagick for newer PHP Releases like PHP 5.4.

Therefore you *must not* install Xampp 1.8.2, but use older version. As you followed the instructions from http://bytehash.appspot.com/2012/02/Ins ... nder-xampp, you should download the same Xampp version as used there (1.7.7 as far as I can see).
Nobbie
 
Posts: 6770
Joined: 09. March 2008 13:04

Re: Xampp issue with extensions

Postby liamsorsby » 30. August 2013 13:35

I have downgraded Xampp to 1.7.7, downgraded imagick as per the post to 6.3.2 included the file in the ext folder and also added the extension into the php.ini and i still get the same error message. arghhhhh
liamsorsby
 
Posts: 2
Joined: 30. August 2013 11:47
XAMPP Version: 1.8.3-3
Operating System: xp professional sp 3


Return to XAMPP for Windows

Who is online

Users browsing this forum: Altrea, mark.mcdonald and 73 guests